Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate

# Class Service9

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate.Service9Super1
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate.Service9

All Implemented Interfaces:
  `ServiceInterface1`

public class Service9 extends Service9Super1
SLING-11860 - subclass to provide more specific activate/deactivate/bind/unbind methods

## Field Summary

### Fields inherited from class org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate.Service9Super1

`activateFromClass, bindSvc1FromClass, deactivateFromClass, unbindSvc1FromClass`

## Constructor Summary

Constructors
Constructor
Description
`Service9()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(ServiceConfig config)`
`protected void`
`bindServiceInterface1(ServiceInterface1 svc1, org.osgi.framework.ServiceReference<ServiceInterface1> svc1Ref)`
`protected void`
`deactivate(ServiceConfig config)`
`protected void`
`unbindServiceInterface1(ServiceInterface1 svc1, org.osgi.framework.ServiceReference<ServiceInterface1> svc1Ref)`

### Methods inherited from class org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate.Service9Super1

`activate, bindServiceInterface1, deactivate, getActivateFromClass, getBindSvc1FromClass, getDeactivateFromClass, getUnbindSvc1FromClass, unbindServiceInterface1`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service9

public Service9()

## Method Details

### activate

protected void activate(ServiceConfig config)

### deactivate

protected void deactivate(ServiceConfig config)

### bindServiceInterface1

protected void bindServiceInterface1(ServiceInterface1 svc1, org.osgi.framework.ServiceReference<ServiceInterface1> svc1Ref)

### unbindServiceInterface1

protected void unbindServiceInterface1(ServiceInterface1 svc1, org.osgi.framework.ServiceReference<ServiceInterface1> svc1Ref)